# @foundationcomponentrepo/eventlistingscard

> Base Event Listings card component for foundation

## Props

### `title: string;`

The `title` prop corresponds to the Title of the Event

### `slots: Array<string>;`

The `slots` prop corresponds to the list of schedule slots of the Event

### `category: string;`

The `category` prop corresponds to the category (Ex: One-on-One) of the Event

### `copyLink: string;`

The `copyLink` prop corresponds to the link of the Event, which can be copied to clickboard on the click of "Copy Link"

### `disabled: boolean;`

The `disabled` prop corresponds to whether the Event is disabled or not

### `onClickEdit?: (e: any) => void;`

The `onClickEdit` prop can be used to the trigger the functionality of Edit Event option

### `onClickReplicate?: (e: any) => void;`

The `onClickRepilcate` prop can be used to the trigger the functionality of Replicate Event option

### `onClickDelete?: (e: any) => void;`

The `onClickDelete` prop can be used to the trigger the functionality of Delete Event option

### `onClickSwitch?: (e: any) => void;`

The `onClickSwitch` prop can be used to the trigger the functionality when the Event switch is toggled

## Install

```bash
npm install --save @foundationcomponentrepo/dummy
```

## Props

### eventData: dataFormat

## License

MIT © [unplatforms](https://github.com/unplatforms)
